curl --request POST \
--url https://qstash-eu-central-1.upstash.io/v2/workflows/dlq/restart \
--header 'Authorization: Bearer <token>' \
--header 'Upstash-Retries: 1' \
--header 'Upstash-Delay: <string>' \
--header 'Upstash-Retry-Delay: <string>' \
--header 'Upstash-Flow-Control-Key: <string>' \
--header 'Upstash-Flow-Control-Value: <string>' \
--header 'Upstash-Label: <string>' \
--header 'Upstash-Failure-Callback: <string>'
import requests
url = "https://qstash-eu-central-1.upstash.io/v2/workflows/dlq/restart"
headers = {
"Authorization": "Bearer <token>",
"Upstash-Retries": "1",
"Upstash-Delay": "<string>",
"Upstash-Retry-Delay": "<string>",
"Upstash-Flow-Control-Key": "<string>",
"Upstash-Flow-Control-Value": "<string>",
"Upstash-Label": "<string>",
"Upstash-Failure-Callback": "<string>",
}
response = requests.request("POST", url, headers=headers)
print(response.text)
const response = await fetch('https://qstash-eu-central-1.upstash.io/v2/workflows/dlq/restart', {
method: 'POST',
headers: {
'Authorization': 'Bearer <token>',
'Upstash-Retries': '1',
'Upstash-Delay': '<string>',
'Upstash-Retry-Delay': '<string>',
'Upstash-Flow-Control-Key': '<string>',
'Upstash-Flow-Control-Value': '<string>',
'Upstash-Label': '<string>',
'Upstash-Failure-Callback': '<string>'
}
});
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://qstash-eu-central-1.upstash.io/v2/workflows/dlq/restart',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <token>',
'Upstash-Retries: 1',
'Upstash-Delay: <string>',
'Upstash-Retry-Delay: <string>',
'Upstash-Flow-Control-Key: <string>',
'Upstash-Flow-Control-Value: <string>',
'Upstash-Label: <string>',
'Upstash-Failure-Callback: <string>',
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://qstash-eu-central-1.upstash.io/v2/workflows/dlq/restart"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Upstash-Retries", "1")
req.Header.Add("Upstash-Delay", "<string>")
req.Header.Add("Upstash-Retry-Delay", "<string>")
req.Header.Add("Upstash-Flow-Control-Key", "<string>")
req.Header.Add("Upstash-Flow-Control-Value", "<string>")
req.Header.Add("Upstash-Label", "<string>")
req.Header.Add("Upstash-Failure-Callback", "<string>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qstash-eu-central-1.upstash.io/v2/workflows/dlq/restart"))
.header("Authorization", "Bearer <token>")
.header("Upstash-Retries", "1")
.header("Upstash-Delay", "<string>")
.header("Upstash-Retry-Delay", "<string>")
.header("Upstash-Flow-Control-Key", "<string>")
.header("Upstash-Flow-Control-Value", "<string>")
.header("Upstash-Label", "<string>")
.header("Upstash-Failure-Callback", "<string>")
.method("POST", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require 'uri'
require 'net/http'
url = URI('https://qstash-eu-central-1.upstash.io/v2/workflows/dlq/restart')
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = url.scheme == 'https'
request = Net::HTTP::Post.new(url)
request['Authorization'] = 'Bearer <token>'
request['Upstash-Retries'] = '1'
request['Upstash-Delay'] = '<string>'
request['Upstash-Retry-Delay'] = '<string>'
request['Upstash-Flow-Control-Key'] = '<string>'
request['Upstash-Flow-Control-Value'] = '<string>'
request['Upstash-Label'] = '<string>'
request['Upstash-Failure-Callback'] = '<string>'
response = http.request(request)
puts response.read_body